PPI::Token::Regexp::Transliterate(3)

NAME
PPI::Token::Regexp::Transliterate - A transliteration regular expression token

INHERITANCE
  PPI::Token::Regexp::Transliterate
  isa PPI::Token::Regexp
      isa PPI::Token
          isa PPI::Element

SYNOPSIS
  $text =~ tr/abc/xyz/;

DESCRIPTION
A "PPI::Token::Regexp::Transliterate" object represents a single transliteration regular expression.

I'm afraid you'll have to excuse the ridiculously long class name, but when push came to shove I ended up going for pedantically correct names for things (practically cut and paste from the various docs).

METHODS
There are no methods available for "PPI::Token::Regexp::Transliterate" beyond those provided by the parent PPI::Token::Regexp, PPI::Token and PPI::Element classes.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.